{
  "name": "boxons",
  "main": "expo-router/entry",
  "version": "1.0.0",
  "scripts": {
    "start": "expo start",
    "android": "expo run:android",
    "ios": "expo run:ios",
    "web": "expo start --web",
    "test:watch": "jest --watchAll",
    "test": "jest",
    "types": "tsc --noEmit",
    "lint": "eslint --ext .ts,.tsx .",
    "lint:fix": "eslint --fix --ext .ts,.tsx .",
    "prepare": "husky"
  },
  "jest": {
    "preset": "jest-expo",
    "setupFilesAfterEnv": [
      "<rootDir>/jest.setup.js"
    ]
  },
  "overrides": {
    "babel-plugin-react-compiler": "0.0.0-experimental-734b737-20241003"
  },
  "dependencies": {
    "@emotion/native": "^11.11.0",
    "@emotion/react": "^11.13.3",
    "@expo/vector-icons": "^14.0.2",
    "@react-native-async-storage/async-storage": "1.23.1",
    "@react-native-picker/picker": "2.7.5",
    "@react-navigation/native": "^6.0.2",
    "@testing-library/react-native": "^12.7.2",
    "expo": "~51.0.39",
    "expo-av": "~14.0.7",
    "expo-dev-client": "~4.0.29",
    "expo-font": "~12.0.9",
    "expo-keep-awake": "~13.0.2",
    "expo-linking": "~6.3.1",
    "expo-router": "~3.5.24",
    "expo-splash-screen": "~0.27.7",
    "expo-status-bar": "~1.12.1",
    "expo-system-ui": "~3.0.7",
    "expo-updates": "~0.25.27",
    "expo-web-browser": "~13.0.3",
    "i18n-js": "^4.4.3",
    "react": "18.2.0",
    "react-dom": "18.2.0",
    "react-native": "0.74.5",
    "react-native-background-timer": "^2.4.1",
    "react-native-dropdown-picker": "^5.4.6",
    "react-native-linear-gradient": "^2.8.3",
    "react-native-push-notification": "^8.1.1",
    "react-native-reanimated": "~3.10.1",
    "react-native-safe-area-context": "4.10.5",
    "react-native-screens": "3.31.1",
    "react-native-timer-picker": "^1.10.3",
    "react-native-web": "~0.19.10"
  },
  "devDependencies": {
    "@babel/core": "^7.20.0",
    "@testing-library/jest-native": "^5.4.3",
    "@types/react": "~18.2.45",
    "@types/react-native-background-timer": "^2.0.2",
    "@types/react-native-push-notification": "^8.1.4",
    "@typescript-eslint/eslint-plugin": "^7.2.0",
    "@typescript-eslint/parser": "^7.2.0",
    "dotenv": "^16.4.5",
    "eslint": "^8.57.1",
    "eslint-config-standard": "^17.1.0",
    "eslint-plugin-jest": "^28.8.3",
    "eslint-plugin-react": "^7.37.1",
    "eslint-plugin-react-native": "^4.1.0",
    "eslint-plugin-simple-import-sort": "^12.1.1",
    "husky": "^9.1.6",
    "jest": "^29.2.1",
    "jest-expo": "~51.0.3",
    "react-test-renderer": "18.2.0",
    "typescript": "~5.3.3"
  },
  "private": true
}
